#2701 closed defect (fixed)

Rename asm file with .S(upper case) ext. name

Reported by: printk Owned by: Amar Takhar
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description

The are some asm file with .s ext. name, .s and .S is different for gnu as, the pre processed produce .s file from
.S. In a word, .S can use
#define
.s can not.
KBuild clean .s files when make clean.
I have submit a patch to devel, but blocked. Too big patch.

Change History (7)

comment:1 Changed on Apr 27, 2016 at 4:50:00 PM by printk

find *.s
grep -R xxx.s
There is one .am file contains the xxx.s
Only one.

comment:2 Changed on Dec 20, 2016 at 9:31:52 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 81af80e586475843624c6e8dc3aa77f97b37b5a9/rtems:

Rename *.s to *.S

Consistently use *.S for assembler files.

Close #2701.

comment:3 Changed on Mar 27, 2017 at 6:48:47 AM by Chris Johns

Milestone: 4.12.14.12.0

Move to the first 4.12 milestone.

comment:4 Changed on Oct 10, 2017 at 6:03:57 AM by Sebastian Huber

Component: Codebuild

comment:5 Changed on Oct 10, 2017 at 6:04:12 AM by Sebastian Huber

Component: buildRSB

comment:6 Changed on Oct 10, 2017 at 6:04:32 AM by Sebastian Huber

Component: RSBbuild

comment:7 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.